Bug 201897 - Allow variable for HA callout program in /etc/init.d/nfslock
Allow variable for HA callout program in /etc/init.d/nfslock
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks: 202790 205452
  Show dependency treegraph
 
Reported: 2006-08-09 13:48 EDT by Lon Hohberger
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0316
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:26:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Adds ability to define STATD_HA_CALLOUT in /etc/sysconfig/nfs (455 bytes, patch)
2006-08-09 13:48 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2006-08-09 13:48:01 EDT
Description of problem:

nfs-utils 1.0.6 in RHEL4 does not allow specification for an HA callout program,
which is required for NFS lock failover.

Proposed patch against nfslock.init (the one included as a 'source' file in the
source RPM, not nfs-utils-1.0.6/etc/redhat/nfslock.init) attached.
Comment 1 Lon Hohberger 2006-08-09 13:48:05 EDT
Created attachment 133860 [details]
Adds ability to define STATD_HA_CALLOUT in /etc/sysconfig/nfs
Comment 2 Steve Dickson 2006-08-16 10:25:01 EDT
Fixed in nfs-utils-1.0.6-71
Comment 3 RHEL Product and Program Management 2006-08-18 10:45:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Red Hat Bugzilla 2007-05-01 19:26:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0316.html

Note You need to log in before you can comment on or make changes to this bug.